Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.renderer
Class Renderer_Templatev1_SOURCE

    java.lang.Object
      rendsite.renderer.Renderer
          rendsite.renderer.Renderer_Templatev1
              rendsite.renderer.Renderer_Templatev1_SOURCE

    public class Renderer_Templatev1_SOURCE

extends Renderer_Templatev1

Template version 1 MAIN implementation.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Nested Class Summary

Nested classes/interfaces inherited from class rendsite.renderer.Renderer_Templatev1
`Renderer_Templatev1.RowMaker`

Field Summary
`static java.lang.String` | `TEMPLATE_FIELD__INFO`
`static java.lang.String` | `TEMPLATE_FIELD__PROJECT`
`static java.lang.String` | `TEMPLATE_FIELD__ROWS_DIRECTORIES`
`static java.lang.String` | `TEMPLATE_FIELD__ROWS_DOCS`
`static java.lang.String` | `TEMPLATE_FIELD__ROWS_OTHER`
`static java.lang.String` | `TEMPLATE_FIELD__ROWS_SOURCE`
`static java.lang.String` | `TEMPLATE_FIELD__SOURCE_LINES`

Fields inherited from class rendsite.renderer.Renderer_Templatev1
`TEMPLATE_FIELD__COPYRIGHT, TEMPLATE_FIELD__DIRECTORY, TEMPLATE_FIELD__FILE, TEMPLATE_FIELD__FILE_ORIGINAL, TEMPLATE_FIELD__RENDSITE_NOTICE, TEMPLATE_FIELD__ROOT`

Fields inherited from class rendsite.renderer.Renderer
`logger, pcontext, rcontext`

Constructor Summary
`Renderer_Templatev1_SOURCE(RenderingContext rcontext, PropertiesGeneralContext pcontext)` Construct a renderer.

Method Summary
`void` | `check(Node_File source)` Check a file.
`void` | `render(Node_File source)` Render a file.
`java.lang.String` | `setRows(Node_Directory source, things.data.ThingsPropertyView propertyView)` Set the row properties for replacement.

Methods inherited from class rendsite.renderer.Renderer_Templatev1
`render, renderFrame`

Methods inherited from class rendsite.renderer.Renderer
`blankIfNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE_FIELD__ROWS_DIRECTORIES

    public static final java.lang.String TEMPLATE_FIELD__ROWS_DIRECTORIES

See Also:
  Constant Field Values

### TEMPLATE_FIELD__ROWS_DOCS

    public static final java.lang.String TEMPLATE_FIELD__ROWS_DOCS

See Also:
  Constant Field Values

### TEMPLATE_FIELD__ROWS_SOURCE

    public static final java.lang.String TEMPLATE_FIELD__ROWS_SOURCE

See Also:
  Constant Field Values

### TEMPLATE_FIELD__ROWS_OTHER

    public static final java.lang.String TEMPLATE_FIELD__ROWS_OTHER

See Also:
  Constant Field Values

### TEMPLATE_FIELD__PROJECT

    public static final java.lang.String TEMPLATE_FIELD__PROJECT

See Also:
  Constant Field Values

### TEMPLATE_FIELD__INFO

    public static final java.lang.String TEMPLATE_FIELD__INFO

See Also:
  Constant Field Values

### TEMPLATE_FIELD__SOURCE_LINES

    public static final java.lang.String TEMPLATE_FIELD__SOURCE_LINES

See Also:
  Constant Field Values

Constructor Detail

### Renderer_Templatev1_SOURCE

    public Renderer_Templatev1_SOURCE(RenderingContext rcontext,
                                      PropertiesGeneralContext pcontext)
                               throws things.common.ThingsException

  Construct a renderer. Let the system do this for you.

  Parameters:
    `rcontext` - The rendering context. A renderer cannot change context.
    `pcontext` - general properties context.
  Throws:
    `ThingsException.` - This will usually happen only if you give it a bad context.
    `things.common.ThingsException`

Method Detail

### setRows

    public java.lang.String setRows(Node_Directory source,
                                    things.data.ThingsPropertyView propertyView)
                             throws java.lang.Throwable

  Set the row properties for replacement.

  Specified by:
    `setRows` in class `Renderer_Templatev1`
  Parameters:
    `source` - the source directory
    `propertyView` - the replacement properties
  Returns:
    optional default info about the directory. It could be null.
  Throws:
    `java.lang.Throwable`

### render

    public void render(Node_File source)
                throws things.common.ThingsException

  Render a file. Return the final rendered file, suitable for cataloging. OVERLOADED from base. If it comes up as a source file in category, then go ahead and render it. Otherwise, let the super handle it.

  Overrides:
    `render` in class `Renderer_Templatev1`
  Parameters:
    `source` - The file to render.
  Throws:
    `things.common.ThingsException`

### check

    public void check(Node_File source)
               throws things.common.ThingsException

  Check a file. The file exists and the configuration has not changed, so you don't need to render it. However, you may choose to render it anyway.

  IMPORTANT! IMPORTANT! Neighbors are determined during rendering, not spidering. If the neighbor is not opened for write, but an old version exists, it will be treated as a dead file and removed during cleanup. You can make

  Overrides:
    `check` in class `Renderer_Templatev1`
  Parameters:
    `source` - The file to render.
  Throws:
    `things.common.ThingsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.